<i18n>
{
  "fr": {
    "label-1": "La documentation",
    "label-2": "La méthodologie",
    "label-3": "Présentation",
    "label-4": "Facteurs d'émissions (FE)",
    "label-5": "Mise à jour des FE",
    "label-6": "Méthodes de calculs",
    "label-7": "Bilan Carbone©",
    "label-8": "Aide",
    "label-9": "Notes",
    "label-10": "Mode d'emploi",
    "label-11": "Forum",
    "label-12": "Fichier Missions",
    "label-13": "Protection des données",
    "label-14": "L'équipe",
    "label-15": "L'équipe de développement",
    "label-16": "Remerciements",
    "label-17": "Les données",
    "label-25": "Le bilan réglementaire",
    "label-26": "Empreinte carbone & soumission",
    "label-27": "Soumission des données",
    "label-28": "Les résultats",
    "label-30": "Fichier achats",
    "label-30-1": "Webinaires",
    "label-31": "Les données"
  },
  "en": {
    "label-1": "Documentation",
    "label-2": "Methodology",
    "label-3": "Presentation",
    "label-4": "Emission factors (EF)",
    "label-5": "EF update",
    "label-6": "Calculation methods",
    "label-7": "Bilan Carbone©",
    "label-8": "Help",
    "label-9": "Notes",
    "label-10": "User guide",
    "label-11": "Forum",
    "label-12": "Business trip files",
    "label-13": "Data protection",
    "label-14": "The team",
    "label-15": "The development team",
    "label-16": "Acknowledgments",
    "label-17": "Data",
    "label-25": "Regulatory inventory",
    "label-26": "Carbon footprint & submission",
    "label-27": "Data submission",
    "label-28": "Results",
    "label-29": "Purchases",
    "label-30": "Purchases file",
    "label-30-1": "Webinars",
    "label-31": "Datasets"
  }
}
</i18n>

<template>
  <section class="hero is-default is-bold">
    <div class="hero-body">
      <div class="container">
        <div class="columns">
          <div class="column is-one-quarter">
            <b-menu>
              <b-menu-list :label="$t('label-1')" v-if="activeModule=='emissions-factors'">
                <b-menu-item
                  class="menubackitem"
                  @click="activate('methodology')"
                  :active="activeModule==='methodology'"
                >
                  <template slot="label">
                    <nav class="level">
                      <div class="level-left">
                        <div class="level-item" style="color:#fff">
                          <b-icon icon="arrow-left"></b-icon>
                        </div>
                      </div>
                    </nav>
                  </template>
                </b-menu-item>
              </b-menu-list>
              <b-menu-list :label="$t('label-1')" v-if="activeModule!='emissions-factors'">
                <b-menu-item
                  :active="activeModule==='methodology'||activeModule==='calculating-methods'||activeModule==='emissions-factors'"
                  :expanded="activeModule==='methodology'||activeModule==='calculating-methods'||activeModule==='update-emissions-factors'||activeModule==='emissions-factors'||activeModule==='ademe-diff'"
                  @click="activate('methodology')">
                  <template slot="label" slot-scope="props">
                    <b-icon icon="book"></b-icon>
                    {{ $t('label-2') }}
                    <b-icon
                      class="is-pulled-right"
                      :icon="props.expanded ? 'caret-down' : 'caret-up'">
                    </b-icon>
                  </template>
                  <b-menu-item
                    :active="activeModule==='methodology'"
                    @click="activate('methodology')"
                  >
                    <template slot="label">
                      <nav class="level">
                        <div class="level-left">
                          <div class="level-item">
                            <b-icon icon="info"></b-icon>
                            {{ $t('label-3') }}
                          </div>
                        </div>
                      </nav>
                    </template>
                  </b-menu-item>
                  <b-menu-item
                    @click="activate('emissions-factors')"
                    :active="activeModule==='emissions-factors'"
                  >
                    <template slot="label">
                      <nav class="level">
                        <div class="level-left">
                          <div class="level-item">
                            <b-icon icon="cloud"></b-icon>
                            {{ $t('label-4') }}
                          </div>
                        </div>
                      </nav>
                    </template>
                  </b-menu-item>
                  <b-menu-item
                    @click="activate('update-emissions-factors')"
                    :active="activeModule==='update-emissions-factors'"
                  >
                    <template slot="label">
                      <nav class="level">
                        <div class="level-left">
                          <div class="level-item">
                            <b-icon icon="refresh"></b-icon>
                            {{ $t('label-5') }}
                          </div>
                        </div>
                      </nav>
                    </template>
                  </b-menu-item>
                  <b-menu-item
                    @click="activate('calculating-methods')"
                    :active="activeModule==='calculating-methods'"
                  >
                    <template slot="label">
                      <nav class="level">
                        <div class="level-left">
                          <div class="level-item">
                            <b-icon icon="cog"></b-icon>
                            {{ $t('label-6') }}
                          </div>
                        </div>
                      </nav>
                    </template>
                  </b-menu-item>
                  <b-menu-item
                    :active="activeModule==='ademe-diff'"
                    @click="activate('ademe-diff')"
                  >
                    <template slot="label">
                      <nav class="level">
                        <div class="level-left">
                          <div class="level-item">
                            <b-icon icon="chain-broken"></b-icon>
                            {{ $t('label-7') }}
                          </div>
                        </div>
                      </nav>
                    </template>
                  </b-menu-item>
                </b-menu-item>
                <b-menu-item
                  :active="activeModule==='notes'||activeModule==='manual'||activeModule==='forum'||activeModule==='travels-file-format'||activeModule==='purchases-file-extraction'||activeModule==='webinar'||activeModule==='ges-data'"
                  :expanded="activeModule==='notes'||activeModule==='manual'||activeModule==='forum'||activeModule==='travels-file-format'||activeModule==='purchases-file-extraction'||activeModule==='webinar'||activeModule==='ges-data'"
                  @click="activate('notes')">
                  <template slot="label" slot-scope="props">
                    <b-icon icon="life-ring"></b-icon>
                    {{ $t('label-8') }}
                    <b-icon
                      class="is-pulled-right"
                      :icon="props.expanded ? 'caret-down' : 'caret-up'">
                    </b-icon>
                  </template>
                  <b-menu-item
                    :active="activeModule==='notes'"
                    @click="activate('notes')"
                  >
                    <template slot="label">
                      <nav class="level">
                        <div class="level-left">
                          <div class="level-item">
                            <b-icon icon="warning"></b-icon>
                            {{ $t('label-9') }}
                          </div>
                        </div>
                      </nav>
                    </template>
                  </b-menu-item>
                  <b-menu-item
                    :active="activeModule==='ges-data'"
                    @click="activate('ges-data')"
                  >
                    <template slot="label">
                      <nav class="level">
                        <div class="level-left">
                          <div class="level-item">
                            <b-icon icon="table"></b-icon>
                            {{ $t('label-31') }}
                          </div>
                        </div>
                      </nav>
                    </template>
                  </b-menu-item>
                  <b-menu-item
                    :active="activeModule==='manual'"
                    @click="activate('manual')"
                  >
                    <template slot="label">
                      <nav class="level">
                        <div class="level-left">
                          <div class="level-item">
                            <b-icon icon="book"></b-icon>
                            {{ $t('label-10') }}
                          </div>
                        </div>
                      </nav>
                    </template>
                  </b-menu-item>
                  <b-menu-item
                    :active="activeModule==='travels-file-format'"
                    @click="activate('travels-file-format')"
                  >
                    <template slot="label">
                      <nav class="level">
                        <div class="level-left">
                          <div class="level-item">
                            <b-icon icon="file-text"></b-icon>
                            {{ $t('label-12') }}
                          </div>
                        </div>
                      </nav>
                    </template>
                  </b-menu-item>
                  <b-menu-item
                    :active="activeModule==='purchases-file-extraction'"
                    @click="activate('purchases-file-extraction')"
                  >
                    <template slot="label">
                      <nav class="level">
                        <div class="level-left">
                          <div class="level-item">
                            <b-icon icon="file-text"></b-icon>
                            {{ $t('label-30') }}
                          </div>
                        </div>
                      </nav>
                    </template>
                  </b-menu-item>
                  <b-menu-item
                    :active="activeModule==='webinar'"
                    @click="activate('webinar')"
                  >
                    <template slot="label">
                      <nav class="level">
                        <div class="level-left">
                          <div class="level-item">
                            <b-icon icon="play-circle-o"></b-icon>
                            {{ $t('label-30-1') }}
                          </div>
                        </div>
                      </nav>
                    </template>
                  </b-menu-item>
                </b-menu-item>
                <b-menu-item
                  @click="activate('data-protection')"
                  :active="activeModule==='data-protection'"
                >
                  <template slot="label">
                    <nav class="level">
                      <div class="level-left">
                        <div class="level-item">
                          <b-icon icon="shield"></b-icon>
                          {{ $t('label-13') }}
                        </div>
                      </div>
                    </nav>
                  </template>
                </b-menu-item>
                <b-menu-item
                  :active="activeModule==='team'||activeModule==='thanks'"
                  :expanded="activeModule==='team'||activeModule==='thanks'"
                  @click="activate('team')">
                  <template slot="label" slot-scope="props">
                    <b-icon icon="users"></b-icon>
                    {{ $t('label-14') }} <em>GES 1point5</em>
                    <b-icon
                      class="is-pulled-right"
                      :icon="props.expanded ? 'caret-down' : 'caret-up'">
                    </b-icon>
                  </template>
                   <b-menu-item
                    :active="activeModule==='team'"
                    @click="activate('team')"
                  >
                    <template slot="label">
                      <nav class="level">
                        <div class="level-left">
                          <div class="level-item">
                            <b-icon icon="keyboard-o"></b-icon>
                            {{ $t('label-15') }}
                          </div>
                        </div>
                      </nav>
                    </template>
                  </b-menu-item>
                  <b-menu-item
                    :active="activeModule==='thanks'"
                    @click="activate('thanks')"
                  >
                    <template slot="label">
                      <nav class="level">
                        <div class="level-left">
                          <div class="level-item">
                            <b-icon icon="thumbs-o-up"></b-icon>
                            {{ $t('label-16') }}
                          </div>
                        </div>
                      </nav>
                    </template>
                  </b-menu-item>
                </b-menu-item>
              </b-menu-list>
              <b-menu-list :label="$t('label-28')" v-if="activeModule!='emissions-factors'">
                <b-menu-item
                  @click="activate('regulatory-inventory')"
                  :active="activeModule==='regulatory-inventory'"
                >
                  <template slot="label">
                    <nav class="level">
                      <div class="level-left">
                        <div class="level-item">
                          <b-icon icon="bank"></b-icon>
                          {{ $t('label-25') }}
                        </div>
                      </div>
                    </nav>
                  </template>
                </b-menu-item>
                <b-menu-item
                  @click="activate('synthese-empreinte')"
                  :active="activeModule==='synthese-empreinte'"
                >
                  <template slot="label">
                    <nav class="level">
                      <div class="level-left">
                        <div class="level-item">
                          <b-icon icon="paw"></b-icon>
                          {{ $t('label-26') }}
                        </div>
                      </div>
                    </nav>
                  </template>
                </b-menu-item>
              </b-menu-list>
            </b-menu>
          </div>
          <div class="column">
            <methodology v-if="activeModule==='methodology'"/>
            <ademe-diff v-if="activeModule==='ademe-diff'"/>
            <notes :header="true" v-if="activeModule==='notes'"/>
            <manual :header="true" v-if="activeModule==='manual'"/>
            <forum v-if="activeModule==='forum'"/>
            <calculating-methods v-if="activeModule==='calculating-methods'"/>
            <emissions-factors v-if="activeModule==='emissions-factors'"/>
            <update-emissions-factors v-if="activeModule==='update-emissions-factors'"/>
            <travels-file-format :header="true" v-if="activeModule==='travels-file-format'"/>
            <purchases-file-extraction :header="true" v-if="activeModule==='purchases-file-extraction'"/>
            <webinar :header="true" v-if="activeModule==='webinar'"/>
            <data-protection v-if="activeModule==='data-protection'"/>
            <team v-if="activeModule==='team'"/>
            <thanks v-if="activeModule==='thanks'"/>
            <regulatory-inventory v-if="activeModule==='regulatory-inventory'"/>
            <synthese-empreinte
              v-if="activeModule==='synthese-empreinte'"
              ref="syntheseEmpreinte"
              :isPublic="true"
            />
            <ges-data v-if="activeModule==='ges-data'"/>
          </div>
        </div>
      </div>
    </div>
  </section>
</template>

<script>
export default {
  name: 'GES1point5Results',
  components: {
    'methodology': () => import('@/components/carbon/docs/Methodology.vue'),
    'notes': () => import('@/components/carbon/docs/Notes.vue'),
    'manual': () => import('@/components/carbon/docs/Manual.vue'),
    'forum': () => import('@/components/carbon/docs/Forum.vue'),
    'calculating-methods': () => import('@/components/carbon/docs/CalculatingMethods.vue'),
    'emissions-factors': () => import('@/components/carbon/docs/EmissionsFactors.vue'),
    'update-emissions-factors': () => import('@/components/carbon/docs/UpdateEmissionsFactors.vue'),
    'travels-file-format': () => import('@/components/carbon/docs/TravelsFileFormat.vue'),
    'purchases-file-extraction': () => import('@/components/carbon/docs/PurchasesFileExtraction.vue'),
    'webinar': () => import('@/components/carbon/docs/Webinar.vue'),
    'data-protection': () => import('@/components/carbon/docs/DataProtection.vue'),
    'ges-data': () => import('@/components/carbon/docs/GES1point5Data.vue'),
    'ademe-diff': () => import('@/components/carbon/docs/ADEMEDiff.vue'),
    'team': () => import('@/components/carbon/docs/Team.vue'),
    'thanks': () => import('@/components/carbon/docs/Thanks.vue'),
    'regulatory-inventory': () => import('@/components/carbon/results/RegulatoryInventory.vue'),
    'synthese-empreinte': () => import('@/components/carbon/results/SyntheseEmpreinte.vue')
  },
  data () {
    return {
      activeModule: 'synthese-empreinte'
    }
  },
  computed: {
    uuid: function () {
      return this.$route.params.uuid
    }
  },
  methods: {
    activate: function (module) {
      this.activeModule = module
    }
  },
  mounted () {
    const loadingComponent = this.$buefy.loading.open({
      container: null
    })
    this.$store.dispatch('ghgi/setFromUUID', this.uuid)
      .then(data => {
        this.$refs.syntheseEmpreinte.forceComputeAllModules()
        loadingComponent.close()
      })
  }
}
</script>

<style>
  .menu-list a.is-active {
    background-color: rgba(52, 59, 64, 0.7) !important;
    color: white;
  }
  .menubackitem {
    max-width: 50px;
    border-radius:5px;
    background-color:rgb(70, 128, 223, 1);
  }
  .menubackitem :hover {
    border-radius:5px;
    background-color:rgb(70, 128, 223, 1) !important;
    cursor: pointer;
  }
</style>

<style scoped>
  .dropdown .dropdown-menu .has-link a, a.dropdown-item, button.dropdown-item {
    text-align: center;
  }
</style>
